package ar.com.supervielle.wsdl.servicios.integracion.cuenta.ctacte_v1;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;

/**
 * This class was generated by Apache CXF 3.0.3
 * 2019-09-26T08:39:06.487-03:00
 * Generated source version: 3.0.3
 * 
 */
@WebService(targetNamespace = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1", name = "CuentaCorrientePortType_v1")
@XmlSeeAlso({ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadiasatrasocon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultamovimientoscon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultalistadoban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.header_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultalistadoacuerdos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultalistado_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadetallecon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaacuerdos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaoperaciones_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaembargos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultasolicitudchequera_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaschdextractosban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultasaldos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.transacciones.consultatransacciones_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultamovimientosban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadiasatrasoban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.common.pagingtypes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultacobrospendientes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultapersonasvinculadas_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaacuerdoscon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.altaacuerdos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultachequesemitidos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultacbuban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaembargoscon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadetalle_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultacbu_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaordendecuenta_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultapersonasvinculadasban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.solicitudchequera_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultapersonasvinculadascon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadetalleban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaacuerdosban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.common.commontypes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultachequesrecibidos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultarepositorioextracto_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadiasatraso_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultalistadocon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaembargosban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultacbucon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaschdextractos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.bajaacuerdos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultamovimientos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultasaldopromedio_v1.ObjectFactory.class, ar.com.supervielle.xsd.servicios.integracion.exception_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaschdextractoscon_v1.ObjectFactory.class})
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
public interface CuentaCorrientePortTypeV1 {

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaCBU")
    public void consultaCBU(
        @WebParam(partName = "entrada", name = "ReqConsultaCBU", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaCBU-v1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultacbu_v1.ReqConsultaCBU entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaCBU", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaCBU-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultacbu_v1.RespConsultaCBU> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaCobrosPendientes")
    public void consultaCobrosPendientes(
        @WebParam(partName = "entrada", name = "ReqConsultaCobrosPendientes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaCobrosPendientes-v1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultacobrospendientes_v1.ReqConsultaCobrosPendientes entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaCobrosPendientes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaCobrosPendientes-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultacobrospendientes_v1.RespConsultaCobrosPendientes> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaTransacciones")
    public void consultaTransacciones(
        @WebParam(partName = "entrada", name = "ReqConsultaTransacciones", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/transacciones/consultatransacciones-v1")
        ar.com.supervielle.xsd.integracion.transacciones.consultatransacciones_v1.ReqConsultaTransacciones entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaTransacciones", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/transacciones/consultatransacciones-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.transacciones.consultatransacciones_v1.RespConsultaTransacciones> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaRepositorioExtracto")
    public void consultaRepositorioExtracto(
        @WebParam(partName = "entrada", name = "ReqConsultaRepositorioExtracto", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaRepositorioExtracto-v1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultarepositorioextracto_v1.ReqConsultaRepositorioExtracto entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaRepositorioExtracto", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaRepositorioExtracto-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultarepositorioextracto_v1.RespConsultaRepositorioExtracto> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaSolicitudChequera")
    public void consultaSolicitudChequera(
        @WebParam(partName = "entrada", name = "ReqConsultaSolicitudChequera", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaSolicitudChequera-v1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultasolicitudchequera_v1.ReqConsultaSolicitudChequera entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaSolicitudChequera", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaSolicitudChequera-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultasolicitudchequera_v1.RespConsultaSolicitudChequera> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaSaldoPromedio")
    public void consultaSaldoPromedio(
        @WebParam(partName = "entrada", name = "ReqConsultaSaldoPromedio", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaSaldoPromedio-v1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultasaldopromedio_v1.ReqConsultaSaldoPromedio entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaSaldoPromedio", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaSaldoPromedio-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultasaldopromedio_v1.RespConsultaSaldoPromedio> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaAcuerdos")
    public void consultaAcuerdos(
        @WebParam(partName = "entrada", name = "ReqConsultaAcuerdos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaAcuerdos-v1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaacuerdos_v1.ReqConsultaAcuerdos entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaAcuerdos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaAcuerdos-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaacuerdos_v1.RespConsultaAcuerdos> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaDiasAtraso")
    public void consultaDiasAtraso(
        @WebParam(partName = "entrada", name = "ReqConsultaDiasAtraso", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaDiasAtraso-v1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadiasatraso_v1.ReqConsultaDiasAtraso entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaDiasAtraso", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaDiasAtraso-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadiasatraso_v1.RespConsultaDiasAtraso> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaMovimientos")
    public void consultaMovimientos(
        @WebParam(partName = "entrada", name = "ReqConsultaMovimientos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaMovimientos-v1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultamovimientos_v1.ReqConsultaMovimientos2 entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaMovimientos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaMovimientos-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultamovimientos_v1.RespConsultaMovimientos2> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaDetalle")
    public void consultaDetalle(
        @WebParam(partName = "entrada", name = "ReqConsultaDetalle", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaDetalle-v1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadetalle_v1.ReqConsultaDetalle2 entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaDetalle", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaDetalle-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadetalle_v1.RespConsultaDetalle2> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaEmbargos")
    public void consultaEmbargos(
        @WebParam(partName = "entrada", name = "ReqConsultaEmbargos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaEmbargos-v1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaembargos_v1.ReqConsultaEmbargos entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaEmbargos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaEmbargos-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaembargos_v1.RespConsultaEmbargos> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/altaAcuerdos")
    @WebResult(name = "RespAltaAcuerdos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/altaAcuerdos-v1", partName = "salida")
    public ar.com.supervielle.xsd.integracion.cuenta.ctacte.altaacuerdos_v1.RespAltaAcuerdos altaAcuerdos(
        @WebParam(partName = "entrada", name = "ReqAltaAcuerdos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/altaAcuerdos-v1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.altaacuerdos_v1.ReqAltaAcuerdos entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.INOUT, name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq> header
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte-v1/consultaOperaciones")
    public void consultaOperaciones(
        @WebParam(partName = "entrada", name = "ReqConsultaOperaciones", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaOperaciones-v1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaoperaciones_v1.ReqConsultaOperaciones entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaOperaciones", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaOperaciones-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaoperaciones_v1.RespConsultaOperaciones> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaListado")
    public void consultaListado(
        @WebParam(partName = "entrada", name = "ReqConsultaListado", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaListado-v1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultalistado_v1.ReqConsultaListado3 entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaListado", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaListado-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultalistado_v1.RespConsultaListado3> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaPersonasVinculadas")
    public void consultaPersonasVinculadas(
        @WebParam(partName = "entrada", name = "ReqConsultaPersonasVinculadas", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaPersonasVinculadas-v1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultapersonasvinculadas_v1.ReqConsultaPersonasVinculadas entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaPersonasVinculadas", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaPersonasVinculadas-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultapersonasvinculadas_v1.RespConsultaPersonasVinculadas> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaSchdExtractos")
    public void consultaSchdExtractos(
        @WebParam(partName = "entrada", name = "ReqConsultaSchdExtractos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaSchdExtractos-v1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaschdextractos_v1.ReqConsultaSchdExtractos entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaSchdExtractos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaSchdExtractos-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaschdextractos_v1.RespConsultaSchdExtractos> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaChequesRecibidos")
    public void consultaChequesRecibidos(
        @WebParam(partName = "entrada", name = "ReqConsultaChequesRecibidos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaChequesRecibidos-v1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultachequesrecibidos_v1.ReqConsultaChequesRecibidos2 entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaChequesRecibidos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaChequesRecibidos-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultachequesrecibidos_v1.RespConsultaChequesRecibidos2> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/bajaAcuerdos")
    public void bajaAcuerdos(
        @WebParam(partName = "entrada", name = "ReqBajaAcuerdos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/bajaAcuerdos-v1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.bajaacuerdos_v1.ReqBajaAcuerdos entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespBajaAcuerdos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/bajaAcuerdos-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.bajaacuerdos_v1.RespBajaAcuerdos> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/solicitudChequera")
    public void solicitudChequera(
        @WebParam(partName = "entrada", name = "ReqSolicitudChequera", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/solicitudChequera-v1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.solicitudchequera_v1.ReqSolicitudChequera entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespSolicitudChequera", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/solicitudChequera-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.solicitudchequera_v1.RespSolicitudChequera> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaChequesEmitidos")
    public void consultaChequesEmitidos(
        @WebParam(partName = "entrada", name = "ReqConsultaChequesEmitidos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaChequesEmitidos-v1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultachequesemitidos_v1.ReqConsultaChequesEmitidos2 entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaChequesEmitidos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaChequesEmitidos-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultachequesemitidos_v1.RespConsultaChequesEmitidos2> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaListadoAcuerdos")
    @WebResult(name = "RespConsultaListadoAcuerdos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaListadoAcuerdos-v1", partName = "salida")
    public ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultalistadoacuerdos_v1.RespConsultaListadoAcuerdos consultaListadoAcuerdos(
        @WebParam(partName = "entradar", name = "ReqConsultaListadoAcuerdos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaListadoAcuerdos-v1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultalistadoacuerdos_v1.ReqConsultaListadoAcuerdos entradar,
        @WebParam(partName = "header", mode = WebParam.Mode.INOUT, name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq> header
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaSaldos")
    public void consultaSaldos(
        @WebParam(partName = "entrada", name = "ReqConsultaSaldos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaSaldos-v1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultasaldos_v1.ReqConsultaSaldos entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaSaldos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaSaldos-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultasaldos_v1.RespConsultaSaldos> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaOrdenDeCuenta")
    public void consultaOrdenDeCuenta(
        @WebParam(partName = "entrada", name = "ReqConsultaOrdenDeCuenta", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaOrdenDeCuenta-v1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaordendecuenta_v1.ReqConsultaOrdenDeCuenta entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaOrdenDeCuenta", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaOrdenDeCuenta-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaordendecuenta_v1.RespConsultaOrdenDeCuenta> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;
}
